<?php

$business_accountant_tp_theme_css = '';


$business_accountant_tp_color_option = get_theme_mod('business_accountant_tp_color_option');

// 1st color
$business_accountant_tp_color_option = get_theme_mod('business_accountant_tp_color_option', '#6F52D0');
if ($business_accountant_tp_color_option) {
	$business_accountant_tp_theme_css .= ':root {';
	$business_accountant_tp_theme_css .= '--color-primary1: ' . esc_attr($business_accountant_tp_color_option) . ';';
	$business_accountant_tp_theme_css .= '}';
}

//preloader
$business_accountant_tp_preloader_color1_option = get_theme_mod('business_accountant_tp_preloader_color1_option');
$business_accountant_tp_preloader_color2_option = get_theme_mod('business_accountant_tp_preloader_color2_option');
$business_accountant_tp_preloader_bg_color_option = get_theme_mod('business_accountant_tp_preloader_bg_color_option');

if($business_accountant_tp_preloader_color1_option != false){
$business_accountant_tp_theme_css .='.center1{';
	$business_accountant_tp_theme_css .='border-color: '.esc_attr($business_accountant_tp_preloader_color1_option).' !important;';
$business_accountant_tp_theme_css .='}';
}
if($business_accountant_tp_preloader_color1_option != false){
$business_accountant_tp_theme_css .='.center1 .ring::before{';
	$business_accountant_tp_theme_css .='background: '.esc_attr($business_accountant_tp_preloader_color1_option).' !important;';
$business_accountant_tp_theme_css .='}';
}
if($business_accountant_tp_preloader_color2_option != false){
$business_accountant_tp_theme_css .='.center2{';
	$business_accountant_tp_theme_css .='border-color: '.esc_attr($business_accountant_tp_preloader_color2_option).' !important;';
$business_accountant_tp_theme_css .='}';
}
if($business_accountant_tp_preloader_color2_option != false){
$business_accountant_tp_theme_css .='.center2 .ring::before{';
	$business_accountant_tp_theme_css .='background: '.esc_attr($business_accountant_tp_preloader_color2_option).' !important;';
$business_accountant_tp_theme_css .='}';
}
if($business_accountant_tp_preloader_bg_color_option != false){
$business_accountant_tp_theme_css .='.loader{';
	$business_accountant_tp_theme_css .='background: '.esc_attr($business_accountant_tp_preloader_bg_color_option).';';
$business_accountant_tp_theme_css .='}';
}

// footer-bg-color
$business_accountant_tp_footer_bg_color_option = get_theme_mod('business_accountant_tp_footer_bg_color_option');

if($business_accountant_tp_footer_bg_color_option != false){
$business_accountant_tp_theme_css .='#footer{';
	$business_accountant_tp_theme_css .='background: '.esc_attr($business_accountant_tp_footer_bg_color_option).' !important;';
$business_accountant_tp_theme_css .='}';
}

// logo tagline color
$business_accountant_site_tagline_color = get_theme_mod('business_accountant_site_tagline_color');

if($business_accountant_site_tagline_color != false){
$business_accountant_tp_theme_css .='.logo h1 a, .logo p a{';
$business_accountant_tp_theme_css .='color: '.esc_attr($business_accountant_site_tagline_color).';';
$business_accountant_tp_theme_css .='}';
}

$business_accountant_logo_tagline_color = get_theme_mod('business_accountant_logo_tagline_color');
if($business_accountant_logo_tagline_color != false){
$business_accountant_tp_theme_css .='p.site-description{';
$business_accountant_tp_theme_css .='color: '.esc_attr($business_accountant_logo_tagline_color).';';
$business_accountant_tp_theme_css .='}';
}

// footer widget title color
$business_accountant_footer_widget_title_color = get_theme_mod('business_accountant_footer_widget_title_color');
if($business_accountant_footer_widget_title_color != false){
$business_accountant_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$business_accountant_tp_theme_css .='color: '.esc_attr($business_accountant_footer_widget_title_color).';';
$business_accountant_tp_theme_css .='}';
}

// copyright text color
$business_accountant_footer_copyright_text_color = get_theme_mod('business_accountant_footer_copyright_text_color');
if($business_accountant_footer_copyright_text_color != false){
$business_accountant_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$business_accountant_tp_theme_css .='color: '.esc_attr($business_accountant_footer_copyright_text_color).';';
$business_accountant_tp_theme_css .='}';
}
// header image title color
$business_accountant_header_image_title_text_color = get_theme_mod('business_accountant_header_image_title_text_color');
if($business_accountant_header_image_title_text_color != false){
$business_accountant_tp_theme_css .='.box-text h2{';
$business_accountant_tp_theme_css .='color: '.esc_attr($business_accountant_header_image_title_text_color).';';
$business_accountant_tp_theme_css .='}';
}

// menu color
$business_accountant_menu_color = get_theme_mod('business_accountant_menu_color');
if($business_accountant_menu_color != false){
$business_accountant_tp_theme_css .='.main-navigation a{';
$business_accountant_tp_theme_css .='color: '.esc_attr($business_accountant_menu_color).';';
$business_accountant_tp_theme_css .='}';
}

//Footer Font Weight
$business_accountant_footer_copyright_title_font_weight = get_theme_mod( 'business_accountant_footer_copyright_title_font_weight','');
if($business_accountant_footer_copyright_title_font_weight == '100'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 100;';
$business_accountant_tp_theme_css .='}';
}else if($business_accountant_footer_copyright_title_font_weight == '200'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 200;';
$business_accountant_tp_theme_css .='}';
}else if($business_accountant_footer_copyright_title_font_weight == '300'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 300;';
$business_accountant_tp_theme_css .='}';
}else if($business_accountant_footer_copyright_title_font_weight == '400'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 400;';
$business_accountant_tp_theme_css .='}';
}else if($business_accountant_footer_copyright_title_font_weight == '500'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 500;';
$business_accountant_tp_theme_css .='}';
}else if($business_accountant_footer_copyright_title_font_weight == '600'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 600;';
$business_accountant_tp_theme_css .='}';
}else if($business_accountant_footer_copyright_title_font_weight == '700'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 700;';
$business_accountant_tp_theme_css .='}';
}else if($business_accountant_footer_copyright_title_font_weight == '800'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 800;';
$business_accountant_tp_theme_css .='}';
}else if($business_accountant_footer_copyright_title_font_weight == '900'){
$business_accountant_tp_theme_css .='#footer .site-info p {';
    $business_accountant_tp_theme_css .='font-weight: 900;';
$business_accountant_tp_theme_css .='}';
}